Loading...
Searching...
No Matches
Catch::Clara::Detail::BoundManyLambda< L > Struct Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::BoundManyLambda< L >:
[legend]
Collaboration diagram for Catch::Clara::Detail::BoundManyLambda< L >:
[legend]

## Public Member Functions

| BoundManyLambda (L const &lambda)
bool | isContainer () const override
Public Member Functions inherited from Catch::Clara::Detail::BoundLambda< L >
| BoundLambda (L const &lambda)
auto | setValue (std::string const &arg) -> ParserResult override
Public Member Functions inherited from Catch::Clara::Detail::BoundRef
virtual | ~BoundRef ()=default
virtual bool | isFlag () const

## Additional Inherited Members

Public Attributes inherited from Catch::Clara::Detail::BoundLambda< L >
L | m_lambda
Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Constructor & Destructor Documentation

## BoundManyLambda()

template<typename L>

Catch::Clara::Detail::BoundManyLambda< L >::BoundManyLambda | ( | L const & | lambda | ) |

inlineexplicit

Here is the call graph for this function:

## Member Function Documentation

## isContainer()

template<typename L>

bool Catch::Clara::Detail::BoundManyLambda< L >::isContainer | ( |  | ) | const

inlineoverridevirtual

Reimplemented from Catch::Clara::Detail::BoundRef.

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp